QRP

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix
Class QRP

    java.lang.Object
      no.uib.cipr.matrix.QRP

    public class QRP

extends java.lang.Object

Computes QR decompositions with column pivoting: `P*A = Q*R` where `A(m,n)`, `Q(m,m)`, and `R(m,n)`, more generally: `P*A = [Q1 Q2] * [R11, R12; 0 R22]` and `R22` elements are negligible.

Constructor Summary
`QRP(int m, int n)` Constructs an empty QR decomposition

Method Summary
`QRP` | `factor(Matrix A)` Executes a QR factorization for the given matrix.
`static QRP` | `factorize(Matrix A)` Convenience method to compute a QR decomposition
`Matrix` | `getP()` Returns the column pivoting matrix.
`int[]` | `getPVector()` Returns the column pivoting vector.
`DenseMatrix` | `getQ()` Returns the orthogonal matrix
`DenseMatrix` | `getR()` Returns the upper triangular factor
`int` | `getRank()` Returns the rank of the factored matrix

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QRP

    public QRP(int m,
               int n)

  Constructs an empty QR decomposition

  Parameters:
    `m` - the number of rows.
    `n` - the number of columns.

Method Detail

### factorize

    public static QRP factorize(Matrix A)

  Convenience method to compute a QR decomposition

  Parameters:
    `A` - the matrix to decompose (not modified)
  Returns:
    Newly allocated decomposition

### factor

    public QRP factor(Matrix A)

  Executes a QR factorization for the given matrix.

  Parameters:
    `A` - the matrix to be factored (not modified)
  Returns:
    the factorization object

### getR

    public DenseMatrix getR()

  Returns the upper triangular factor

  Returns:

### getQ

    public DenseMatrix getQ()

  Returns the orthogonal matrix

  Returns:

### getPVector

    public int[] getPVector()

  Returns the column pivoting vector. This function is cheaper than `getP()`.

  Returns:

### getP

    public Matrix getP()

  Returns the column pivoting matrix. This function allocates a new Matrix to be returned, a more cheap option is tu use `getPVector()`.

  Returns:

### getRank

    public int getRank()

  Returns the rank of the factored matrix

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD